image: python:3.8-slim-buster

variables:
  DOCKER_HOST: tcp://docker:2375
  MOUNT_POINT: /builds/$CI_PROJECT_PATH/mnt
  CONTAINER_IMAGE: registry.gitlab.com/tech-marketing/ad-fontes/loader/main:d8a888b06b195f99a07eebc7c1909d366f248097

stages:
  - request
  - deploy

get-questions:
  stage: request
  image: $CONTAINER_IMAGE
  script:
   - echo "Current JOB ID:"
   - echo $CI_JOB_ID
   - echo "UPSTREAM_JOB_ID=$CI_JOB_ID" >> idjob.env
   - python3 main.py
   - python3 nlp_pipeline.py
   - cd questions
   - ls

  artifacts:
    reports:
      dotenv: idjob.env
    paths:
      - questions/*.csv


trigger-visualizer:
  stage: deploy
  inherit:
    variables: false
  trigger: gitlab-partner-demos/stackoverflow-topic-aggregator/view-controller
  only:
    - main


